

class LVErrorCode {
  static final int kOK = 0; // SDK业务操作成功
  static final int ERROR_INVALID = -1; //
  static final int SUCCESS = 0; // // SDK业务操作成功
  static final int ERROR_PARAMS = 1000; // 参数错误
  static final int ERROR_NOT_INIT = 1001; // 没有初始化错误
  static final int ERROR_NOT_AUTH = 1002; // SDK没有授权，请先授权再使用
  static final int ERROR_INIT_FAILED = 1003; // 房间实例化错误
  static final int ERROR_UNSUPPORT_FORMAT = 1004; // 不支持的音频格式
  static final int ERROR_AUTH_FAILED = 2000; // SDK授权错误
  static final int ERROR_LOGIN_FAILED = 2001; //
  static final int ERROR_ROOM_ENTER_FAILED = 2002; //
  static final int ERROR_DISCONNECT_BY_SIGNAL = 3000; // 音视频信令服务断开连接错误
  static final int ERROR_DISCONNECT_BY_MEDIA = 3001; // 媒体服务断开连接错误
  static final int ERROR_NO_EDGE = 4000; // 获取不到有效的音视频信令服务
  static final int ERROR_REQUEST_ERROR = 4001; // 网络请求错误(含网络不可达、网络请求超时、40x系列错误)
  static final int ERROR_NO_RESPONSE = 4002; // 网络响应错误(返回数据非法、50x系列错误)
  static final int ERROR_RESPONSE_ERROR = 4003; //
  static final int ERROR_UNKNOWN = 10000; // 位置错误
}