#import <Flutter/Flutter.h>
#import <LVIMLib/LVIMLib.h>

@interface RtmFlutterPlugin : NSObject<FlutterPlugin>

/**
 @brief 上传apns的推送token，需要在IM登录成功之后上传
 @param deviceToken didRegisterForRemoteNotificationsWithDeviceToken回调中返回的deviceToken
 @param complete 上传完成回调，code为0是成功，其余都是失败
 @return 调用上传成功返回0, 否则返回非0
 **/
+ (int)uploadPushToken:(NSData *)deviceToken complete:(void(^)(int code, NSString *msg))complete;

@end
